﻿function SceneMessage(mess) {

    this.message = mess;

    //Фунция инициализации сцены
    this.initMessagePage = function() {
        alertMy("SceneMessage.initMessagePage");
        this.showMessagePage();
    }

    //Функция отображения сцены
    this.showMessagePage = function() {
        alertMy("SceneMessage.showMessagePage");

        //Передадим в счетчик

        this.message.btns_focus = 0;
        this.showMessageElements();
        this.showButtons();
    }
    this.showMessageElements = function() {
        alertMy("SceneMessage.showMessageElements");
        document.getElementById("SceneMassage").style.visibility = 'visible';
        document.getElementById("MassageZone").style.top = this.message.top + 'px';
        document.getElementById("MassageZone").style.width = this.message.width + 'px';
        document.getElementById("MassageZone").style.left = (1280 - this.message.width) / 2 + 'px';
        document.getElementById("MassageZoneInner").style.width = (this.message.width - 40) + 'px';
        document.getElementById("MassageZoneInner").style.height = this.message.height + 'px';
        document.getElementById("MassageZoneInner").innerHTML = this.message.text;
    }
    this.showButtons = function() {
        alertMy("SceneMessage.showButtons");
        if (this.message.btns_count > 0) {
            for (var i = 0; i <= this.message.btns_count - 1; i++)
            {
                if (this.message.btns_focus == i) {
                    document.getElementById("MassageButtonItem" + (i + 1)).className = 'MassageButtonItemActiv';
                } else {
                    document.getElementById("MassageButtonItem" + (i + 1)).className = 'MassageButtonItem';
                }
            }
        }
    }
    this.hideMessagePage = function() {
        alertMy("SceneMessage.hideMessagePage");
        document.getElementById("SceneMassage").style.visibility = 'hidden';
    }
//------------------------------------------------------------------------------
    this.buttonAction = function() {
        alertMy("SceneMessage.buttonAction");

        switch (this.message.btns_actions[this.message.btns_focus].action) {
            case "ActionNext":
                this.buttonActionNext();
                break;
            case "ActionTryAgain":
                this.buttonActionTryAgain();
                break;
            case "ActionSkip":
                this.buttonActionSkip();
                break;
            case "ActionCansel":
                this.buttonActionCansel();
                break;
            case "ActionGetNewLevelFromServer":
                this.buttonActionGetNewLevelFromServer();
                break;
            case "ActionRemoveUnnecessary":
                this.buttonActionRemoveUnnecessary();
                break;
            case "ActionOpenAnswerItem":
                this.buttonActionOpenAnswerItem();
                break; 
            case "ActionOpenImage":
                this.buttonActionOpenImage();
                break;
            case "ActionRefreshInfo":
                this.buttonActionRefreshInfo();
                break;
            case "ActionExit":
                this.buttonActionExit();
                break;      
        }

    }
    this.buttonActionNext = function() {
        alertMy("SceneMessage.buttonActionNext");
        this.hideMessagePage();
        controller.nextPlayMelody();
    }
    this.buttonActionTryAgain = function() {
        alertMy("SceneMessage.buttonActionTryAgain");
        this.hideMessagePage();
        controller.tryAgainMelody();
    }
    this.buttonActionSkip = function() {
        alertMy("SceneMessage.buttonActionSkip");
        this.hideMessagePage();
        
        if (STAT) {
            controller.metrika('Подсказки по типу/Пропустить мелодию');
            controller.metrika('Подсказка_по_мелодии/' + MelodyData.melody_singer + '-' + MelodyData.melody_caption);
        }
        
        controller.nextPlayMelody();
    }
    this.buttonActionCansel = function() {
        alertMy("SceneMessage.ActionCansel");
        this.hideMessagePage();
        controller.tryAgainMelody();
    }
    this.buttonActionGetNewLevelFromServer = function() {
        alertMy("SceneMessage.buttonActionGetNewLevelFromServer");
        this.hideMessagePage();
        controller.getNewLevelFromServer();
    }
    this.buttonActionRemoveUnnecessary = function() {
        alertMy("SceneMessage.buttonActionRemoveUnnecessary");
        this.hideMessagePage();
        controller.removeUnnecessary();
    }
    this.buttonActionOpenAnswerItem = function() {
        alertMy("SceneMessage.buttonActionOpenAnswerItem");
        this.hideMessagePage();
        controller.openAnswerItem();
    }
    this.buttonActionOpenImage = function() {
        alertMy("SceneMessage.buttonActionOpenImage");
        this.hideMessagePage();
        controller.openImage();
    } 
    this.buttonActionRefreshInfo = function() {
        alertMy("SceneMessage.buttonActionRefreshInfo");
        this.hideMessagePage();
        controller.tryAgainMelody();
    } 
    this.buttonActionExit = function() {
        alertMy("SceneMessage.buttonActionExit");
        this.hideMessagePage();
        controller.actionExit();
    }     
  
    
    
//------------------------------------------------------------------------------
//--- клавиатура ---------------------------------------------------------------
//------------------------------------------------------------------------------
    this.key_LEFT = function() {
        alertMy("SceneMessage.key_LEFT");
        if (this.message.btns_focus == 0) {

        } else {
            this.message.btns_focus--;
        }
        this.showButtons();
    }
    this.key_RIGHT = function() {
        alertMy("SceneMessage.key_RIGHT");
        if (this.message.btns_focus == (this.message.btns_count - 1)) {

        } else {
            this.message.btns_focus++;
        }
        this.showButtons();
    }
    this.key_UP = function() {
        alertMy("SceneMessage.key_UP");
    }
    this.key_DOWN = function() {
        alertMy("SceneMessage.key_DOWN");
    }
    this.key_ENTER = function() {
        alertMy("SceneMessage.key_ENTER");
        this.buttonAction();
    }
    this.key_ESC = function() {
        alertMy("SceneMessage.key_ESC");
        if (TV) {
            widgetAPI.blockNavigation(event);
        }
        this.message.btns_focus = this.message.btns_count - 1;
        this.buttonAction();
    }

}