﻿var Pleer = {
}

Pleer.status = 'stop';
Pleer.progressLong = 445;
Pleer.progressItemWidth = 0;
Pleer.handlerStartLeft = 40;
Pleer.itemIndex = 0;
Pleer.itemMaxCount = 0;
Pleer.currentPlayTime = 0;
Pleer.currentPlaySeconds = 0;
Pleer.initialaize = false;

Pleer.mp3 = '';

Pleer.gTimer1  = null;
Pleer.gTimer2  = null;

Pleer.initPleer = function() {
    alertMy("Pleer.initPleer");
    if (!Pleer.initialaize) {
        Pleer.initialaize = true;
        Pleer.progressItemWidth = Pleer.progressLong / (MelodyData.melody_sound_duration * 2);
        Pleer.itemMaxCount = MelodyData.melody_sound_duration * 2;
        Pleer.itemMaxCount++;
        Pleer.itemIndex = 0;
        Pleer.status = 'stop';
        if (TV) {
            PlayerMP3.OnCurrentPlayTime = 'Pleer.setCurTime';
        }

        Pleer.PleerStop();
        
        clearTimeout(Pleer.gTimer2);
        Pleer.gTimer2 = setTimeout("Pleer.PleerStart();",1000); 

    }
}
Pleer.showPleer = function(index) {
    alertMy("Pleer.showPleer index = " + index);
    
    if (Pleer.status == 'play') {
        document.getElementById("SceneMainPleerBtnPlayPause").style.backgroundImage = 'url("images/pleer/pleer_btn_play.png")';
        //document.getElementById("equalizer").style.visibility = 'visible';
        $("#equalizer").fadeIn(1000);
    } else if (Pleer.status == 'stop') {
        document.getElementById("SceneMainPleerBtnPlayPause").style.backgroundImage = 'url("images/pleer/pleer_btn_stop.png")';
        //document.getElementById("equalizer").style.visibility = 'hidden';
        $("#equalizer").fadeOut(1000);
    } else {
        document.getElementById("SceneMainPleerBtnPlayPause").style.backgroundImage = 'url("images/pleer/pleer_btn_pause.png")';
        //document.getElementById("equalizer").style.visibility = 'hidden';
        $("#equalizer").fadeOut(1000);
    }
    
    document.getElementById("SceneMainPleerProgress2").style.width = (Pleer.progressItemWidth * index) + 'px';
    document.getElementById("SceneMainPleerHandler").style.left = (Pleer.handlerStartLeft + (Pleer.progressItemWidth * index)) + 'px';
    
}

Pleer.nextItemPleer = function() {
    alertMy("Pleer.nextItemPleer");
    if (TV) {
        Pleer.itemIndex = Pleer.currentPlayTime;
        Pleer.itemIndex++;
    } else {
        Pleer.itemIndex++
    }

    Pleer.showPleer(Pleer.itemIndex);
}


//--- пуск плеера --------------------------------------------------------------
Pleer.PleerStart = function() {
    alertMy("Pleer.PleerStart");
    Pleer.status = 'play';
    Pleer.currentPlayTime = 0;
    Pleer.currentPlaySeconds = 0;
    Pleer.playMP3();
}

//--- основные функции плеера --------------------------------------------------
Pleer.PleerPlay = function() {
    alertMy("Pleer.PleerPlay");
    alertMy("!!!!!!!!!!!!!!!!!!! Pleer.itemIndex = " + Pleer.itemIndex);
    alertMy("!!!!!!!!!!!!!!!!!!! Pleer.itemMaxCount = " + Pleer.itemMaxCount);
    
    if (Pleer.itemIndex == Pleer.itemMaxCount) {
        Pleer.itemIndex = 0;
        Pleer.initPleer();
        
    } else if (Pleer.status == 'play') {
        Pleer.nextItemPleer();
        clearTimeout(Pleer.gTimer1);
        Pleer.gTimer1 = setTimeout("Pleer.PleerPlay()",500);     
    }    
}
Pleer.PleerStop = function() {
    alertMy("Pleer.PleerStop");
    Pleer.status = 'stop';
    Pleer.itemIndex = 0;
    Pleer.currentPlayTime = 0;
    Pleer.currentPlaySeconds = 0;
    Pleer.showPleer(0);
    Pleer.stopMP3();
}
Pleer.PleerPause = function() {
    alertMy("Pleer.PleerPause");
    Pleer.status = 'pause';
    Pleer.showPleer();
    Pleer.pauseMP3();
}
Pleer.PleerResume = function() {
    alertMy("Pleer.PleerResume");
    Pleer.status = 'play';
    Pleer.showPleer();
    Pleer.PleerPlay();
    Pleer.resumeMP3();
}

//--- воспроизведение mp3 ------------------------------------------------------
Pleer.playMP3 = function() {
    alertMy("Pleer.playMP3");
    Pleer.mp3 = dataFromServerFirst.host + MelodyData.melody_sound_url;
    alertMy("SceneMain.audio = " + Pleer.mp3);
    if (TV) {
        if (Pleer.mp3 !== '') {
            alertMy("Pleer.StartPlayback");
            PlayerMP3.InitPlayer(Pleer.mp3);
            PlayerMP3.SetPlayerProperty(5, "MP3", 0);
            PlayerMP3.StartPlayback();
        }
    }
    Pleer.initialaize = false;
    Pleer.PleerPlay();
}
Pleer.pauseMP3 = function() {
    alertMy("Pleer.pauseMP3");
    if (TV) {
        PlayerMP3.Pause();
    }
}
Pleer.resumeMP3 = function() {
    alertMy("Pleer.pauseMP3");
    if (TV) {
        PlayerMP3.Resume();
    }
}
Pleer.stopMP3 = function() {
    alertMy("Pleer.stopMP3");
    if (TV) {
        PlayerMP3.Stop();
    }
}

Pleer.setCurTime = function (time) {
    //alert("Pleer.setCurTime");
    //alert("!!!!!!! time = " + time);
    Pleer.currentPlayTime = time / 500 ^ 0;
    //alert("!!!!!!! Pleer.currentPlayTime = " + Pleer.currentPlayTime);
    Pleer.currentPlaySeconds = time / 1000 ^ 0;

};